Package org.eclipse.mat.report

## Interface Params

    public interface Params

Available parameters for use in the report XML files.

No Implement:

### Nested Class Summary

Nested Classes
`static interface` `Params.Html` Parameters specific to HTML reports.
`static interface` `Params.Rendering` Control the rendering of a report.

### Field Summary

Fields
`static java.lang.String` `FILENAME` If given, the filename is used to create the output file.
`static java.lang.String` `FILENAME_SUFFIX` If given, used to create a zip file name by adding the suffix to the prefix.
`static java.lang.String` `FORMAT` The format parameter determines the renderer to be used.
`static java.lang.String` `SNAPSHOT` Not used
`static java.lang.String` `SNAPSHOT_PREFIX` Not used
`static java.lang.String` `TIMESTAMP` Set to the time the report is generated.

### Field Detail

#### TIMESTAMP

    static final java.lang.String TIMESTAMP

Set to the time the report is generated.

See Also:
  Constant Field Values

#### SNAPSHOT

    static final java.lang.String SNAPSHOT

Not used

See Also:
  Constant Field Values

#### SNAPSHOT_PREFIX

    static final java.lang.String SNAPSHOT_PREFIX

Not used

See Also:
  Constant Field Values

#### FORMAT

    static final java.lang.String FORMAT

The format parameter determines the renderer to be used. By default, the "html" format is used, but one could use "csv" to create a comma separated file or "txt" to create a text file. Matches `Renderer.target()` of an `IOutputter`.

See Also:
  Constant Field Values

#### FILENAME

    static final java.lang.String FILENAME

If given, the filename is used to create the output file. Depending on the output format, this could be HTML or CSV. The property can be configured for every Spec. If the output format is HTML, the Spec must also specify `Params.Html.SEPARATE_FILE`. For the HTML outputter this is not inherited from outer Specs.

See Also:
  Constant Field Values

#### FILENAME_SUFFIX

    static final java.lang.String FILENAME_SUFFIX

If given, used to create a zip file name by adding the suffix to the prefix. Allows the suffix to be separately specified in XML report definition from the report title, so it is possible to translate the title but not the suffix if required.

Since:
  1.0
See Also:
  Constant Field Values